#! /bin/sh -e

documents_path=$(xdg-user-dir DOCUMENTS)

cd $(dirname "$0")
ARCH=$(uname -m)

mkdir -p "$HOME/.vst/"
mkdir -p "$HOME/.vst3/"
mkdir -p "$documents_path/discoDSP/OPL/"

if test $ARCH = x86_64 ; then
	    cp "OPL.so" "$HOME/.vst/OPL.so"
	    cp -r "OPL.vst3" "$HOME/.vst3/"
    else
	    echo "32-bit is not supported."
	    exit 1
    fi

cp -r -n "discoDSP/OPL" "$documents_path/discoDSP/"

echo "Installation finished."
